import { Ctx, CtxPosition } from './antlr4Types';
import { GetAstOptions, Node } from './types';
export declare function getVisitorResult(): Node;
export declare class Visitor {
    protected options: GetAstOptions;
    constructor(options: GetAstOptions);
    visitChildren(ctx: Ctx): any[] | {
        type: any;
        start: {
            type: any;
            start: any;
            stop: any;
            line: any;
            column: any;
            text: any;
            source: string;
        };
        stop: {
            type: any;
            start: any;
            stop: any;
            line: any;
            column: any;
            text: any;
            source: string;
        };
        children: never[];
    } | undefined;
    getNode(ctx: Ctx): {
        type: any;
        start: {
            type: any;
            start: any;
            stop: any;
            line: any;
            column: any;
            text: any;
            source: string;
        };
        stop: {
            type: any;
            start: any;
            stop: any;
            line: any;
            column: any;
            text: any;
            source: string;
        };
        children: never[];
    };
    getLocation(start: CtxPosition): {
        type: any;
        start: any;
        stop: any;
        line: any;
        column: any;
        text: any;
        source: string;
    };
}
