interface BaseOptions {
    language: Language;
    input: string;
}
export interface GetAstOptions extends BaseOptions {
    includeSource?: boolean;
}
export declare type Language = 'c';
export interface Options extends BaseOptions {
    output?: string;
    outputStyle?: 'json';
}
export interface Node {
    type: string;
    start: NodePosition;
    stop: NodePosition;
    children: Node[];
}
export interface NodePosition {
    type: string;
    start: number;
    stop: number;
    line: number;
    column: number;
    text: string;
    source?: string;
}
export {};
